<div class="container-fluid">
    <div class="row">
        <div class="col-md-2  text-white side">
            <a  class="row mt-5" routerLink="/admin">
                <h5 class="text-center my-2 mx-auto text-white">Home</h5>
            </a>
            <hr class="bg-white">
            <a class="row" routerLink="/admin/companyprofile">
                <h5 class="text-center my-2 mx-auto text-white">Company</h5>
            </a>
            <hr class="bg-white">
            <a class="row" routerLink="/admin/userprofile">
                <h5 class="text-center my-2  mx-auto text-white">Users</h5>
            </a>
            <hr class="bg-white">
        </div>
        <div class="col-md-10 mt-5">
            <div class="row">
                <div class="col-md-6">
                    <a (click)="showData(false)"  class="btn btn-primary text-white mr-4">Grid View</a>
                    <a (click)="showData(true)" class="btn btn-primary text-white mr-4">Table View</a>
                    <a class="btn btn-primary text-white" routerLink="/addjob">Add Job</a>
                </div>
                <div class="col-md-3">
                    <select name="sortitems" class="form-control" #sortdata (change)="sort(sortdata.value)">
                        <option value="">Select sort item</option>
                        <option value="jTitle">Job Title</option>
                        <option value="jVacancy">Vacancy</option>
                        <option value="jDate">Post Date</option>
                    </select>
                </div>
                <div class="col-md-3">
                    <input type="text" class="form-control" placeholder="Search" #searchBox id="search-box" (keyup)="search(searchBox.value)">
                </div>
            </div>
            <div class="row" *ngIf="display == false">
                <div class="col-md-4 py-5" *ngFor="let job of jobs" >
                    <div class="card">
                        <div class="card-body">
                        <h5 class="card-title">{{job.jTitle}}</h5>
                        <p class="card-text">{{job.jDescription}}</p>
                        <p class="card-text">{{job.jMinW}}-{{job.jMaxW}} years</p>
                        <p class="card-text">{{job.jVacancy}} vacancy</p>
                        <p class="card-text">{{job.jQualification}}</p>
                        <p class="card-text">{{job.jDate | date}} - Posted date</p>
                        <p>
                            <!-- <a class="btn btn-primary text-white mr-4" routerLink="admin/applications/{{job._id}}">View Applications</a> -->
                            <a class="btn btn-primary text-white"  (click) = "deleteJob(job._id)">Delete Job</a>
                        </p>
                        </div>
                    </div>
                </div>
            </div>
           
            <div class="row mx-auto" *ngIf="display == true">
                <table border="1" align="center" class="mt-5 table table-striped">
                    <tr class="text-white text-center">
                        <td class="bgcolor">Job title</td>
                        <td class="bgcolor">Job Description</td>
                        <td class="bgcolor">Experience</td>
                        <td class="bgcolor">Vacancy</td>
                        <td class="bgcolor">Qualification</td>
                        <td class="bgcolor">Job Posted Date</td>
                        <td  class="bgcolor">Delete Jobs/View Applications</td>
                    </tr>
                    <tr class="text-center" *ngFor="let job of jobs | paginate: { itemsPerPage: 3, currentPage: p }">
                        <td>{{job.jTitle}}</td>
                        <td>{{job.jDescription}}</td>
                        <td>{{job.jMinW}}-{{job.jMaxW}} years</td>
                        <td>{{job.jVacancy}}</td>
                        <td>{{job.jQualification}}</td>
                        <td>{{job.jDate | date}}</td>
                        <td>
                            <a class="btn btn-primary text-white mr-4" routerLink="applications/{{job._id}}">View Applications</a>
                            <a class="btn btn-primary text-white"  (click) = "deleteJob(job._id)">Delete Job</a>
                        </td>
                    </tr>
                </table>
                <pagination-controls (pageChange)="p = $event"></pagination-controls>
            </div>
        </div>
    </div>
</div>